#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../../interfaces
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE knodeplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kontact
  PO_DIR kontact-desktops
)


##### libkontact_knodeplugin (module) ###########

tde_add_kpart( libkontact_knodeplugin AUTOMOC
  SOURCES
    knode_plugin.cpp ${CMAKE_SOURCE_DIR}/knode/knodeiface.stub
  LINK kpinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
